SDL_HINT_WINDOWS_CLOSE_ON_ALT_F4(3)

NAME
SDL_HINT_WINDOWS_CLOSE_ON_ALT_F4 - A variable controlling whether SDL generates window-close events for Alt+F4 on Windows.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_WINDOWS_CLOSE_ON_ALT_F4 SDL_WINDOWS_CLOSE_ON_ALT_F4"

DESCRIPTION
The variable can be set to the following values:

• "0": SDL will only do normal key handling for Alt+F4.

• "1": SDL will generate a window-close event when it sees Alt+F4.
  (default)

This hint can be set anytime.

AVAILABILITY
This hint is available since SDL 3.2.0.